Module | Sequel::Plugins::StaticCache
In: | lib/sequel/plugins/static_cache.rb

The static_cache plugin is designed for models that are not modified at all in production use cases, or at least where modifications to them would usually coincide with an application restart. When loaded into a model class, it retrieves all rows in the database and staticly caches a ruby array and hash keyed on primary key containing all of the model instances. All of these instances are frozen so they won‘t be modified unexpectedly.

The caches this plugin creates are used for the following things:

- Primary key lookups (e.g. Model[1])
- Model.all calls
- Model.each calls
- Model.map calls without an argument
- Model.to_hash calls without an argument

Usage:

      # Cache the AlbumType class staticly
      AlbumType.plugin :static_cache

### Methods

configure

### Classes and Modules

Module Sequel::Plugins::StaticCache::ClassMethods

### Public Class methods

configure(model)

Populate the static caches when loading the plugin.

[Source]

        # File lib/sequel/plugins/static_cache.rb, line 24
    24:       def self.configure(model)
    25:         model.send(:load_cache)
    26:       end

[Validate]